List remittances
curl --request GET \
--url https://api.lbpay.example.com/v1/remittances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lbpay.example.com/v1/remittances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lbpay.example.com/v1/remittances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lbpay.example.com/v1/remittances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lbpay.example.com/v1/remittances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lbpay.example.com/v1/remittances")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lbpay.example.com/v1/remittances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"remittanceId": "<string>",
"type": "WITHDRAWAL",
"externalId": "<string>",
"quoteId": "<string>",
"status": "PROCESSING",
"senderId": "<string>",
"beneficiaryId": "<string>",
"source": {
"currency": "USD",
"amount": "1000.00"
},
"destination": {
"currency": "USD",
"amount": "1000.00"
},
"fx": {
"status": "PENDING",
"fxContractId": "<string>",
"rate": "5.43210000",
"contractedAt": "2023-11-07T05:31:56Z"
},
"funding": {
"status": "PENDING",
"mode": "PREFUNDED",
"inventoryId": "<string>",
"confirmedAt": "2023-11-07T05:31:56Z",
"attempts": 1,
"lastFailureAt": "2023-11-07T05:31:56Z"
},
"payout": {
"status": "PENDING",
"transactionId": "<string>",
"amount": {
"currency": "USD",
"amount": "1000.00"
},
"attempts": 1,
"failureCode": "PIX_KEY_OWNER_MISMATCH",
"completedAt": "2023-11-07T05:31:56Z",
"returnedAt": "2023-11-07T05:31:56Z"
},
"settlement": {
"status": "NOT_APPLICABLE",
"settlementId": "<string>",
"dueDate": "2023-12-25"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inventoryId": "<string>",
"senderQuote": {
"rate": "5.43210000",
"source": {
"currency": "USD",
"amount": "1000.00"
},
"destination": {
"currency": "USD",
"amount": "1000.00"
},
"quotedAt": "2023-11-07T05:31:56Z",
"reference": "<string>"
},
"statusReason": "<string>",
"paymentInstructionId": "<string>",
"purpose": "FAMILY_MAINTENANCE",
"senderRelationship": "SELF",
"spread": {
"percentage": "0.75",
"amount": {
"currency": "USD",
"amount": "7.50"
}
},
"metadata": {}
}
],
"pagination": {
"limit": 123,
"hasMore": true,
"nextCursor": "<string>"
}
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Remessas
Listar remessas
GET
/
v1
/
remittances
List remittances
curl --request GET \
--url https://api.lbpay.example.com/v1/remittances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lbpay.example.com/v1/remittances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lbpay.example.com/v1/remittances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lbpay.example.com/v1/remittances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lbpay.example.com/v1/remittances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lbpay.example.com/v1/remittances")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lbpay.example.com/v1/remittances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"remittanceId": "<string>",
"type": "WITHDRAWAL",
"externalId": "<string>",
"quoteId": "<string>",
"status": "PROCESSING",
"senderId": "<string>",
"beneficiaryId": "<string>",
"source": {
"currency": "USD",
"amount": "1000.00"
},
"destination": {
"currency": "USD",
"amount": "1000.00"
},
"fx": {
"status": "PENDING",
"fxContractId": "<string>",
"rate": "5.43210000",
"contractedAt": "2023-11-07T05:31:56Z"
},
"funding": {
"status": "PENDING",
"mode": "PREFUNDED",
"inventoryId": "<string>",
"confirmedAt": "2023-11-07T05:31:56Z",
"attempts": 1,
"lastFailureAt": "2023-11-07T05:31:56Z"
},
"payout": {
"status": "PENDING",
"transactionId": "<string>",
"amount": {
"currency": "USD",
"amount": "1000.00"
},
"attempts": 1,
"failureCode": "PIX_KEY_OWNER_MISMATCH",
"completedAt": "2023-11-07T05:31:56Z",
"returnedAt": "2023-11-07T05:31:56Z"
},
"settlement": {
"status": "NOT_APPLICABLE",
"settlementId": "<string>",
"dueDate": "2023-12-25"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inventoryId": "<string>",
"senderQuote": {
"rate": "5.43210000",
"source": {
"currency": "USD",
"amount": "1000.00"
},
"destination": {
"currency": "USD",
"amount": "1000.00"
},
"quotedAt": "2023-11-07T05:31:56Z",
"reference": "<string>"
},
"statusReason": "<string>",
"paymentInstructionId": "<string>",
"purpose": "FAMILY_MAINTENANCE",
"senderRelationship": "SELF",
"spread": {
"percentage": "0.75",
"amount": {
"currency": "USD",
"amount": "7.50"
}
},
"metadata": {}
}
],
"pagination": {
"limit": 123,
"hasMore": true,
"nextCursor": "<string>"
}
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de consulta
Operação que originou a remessa. WITHDRAWAL: envio do remetente para um beneficiário no Brasil via Pix. Enum extensível: ignore tipos desconhecidos.
Opções disponíveis:
WITHDRAWAL Opções disponíveis:
PROCESSING, ON_HOLD, COMPLETED, REJECTED, FUNDS_HELD_BRL, RETURNED Opções disponíveis:
PENDING, PROCESSING, COMPLETED, FAILED, EXPIRED, RETURNED Remessas pela modalidade de funding (funding.mode).
Opções disponíveis:
PREFUNDED, CREDIT, INVENTORY Remessas financiadas pelo Inventory Lot informado (rastreabilidade de utilização do lote).
Cursor opaco retornado em pagination.nextCursor.
Intervalo obrigatório:
1 <= x <= 100
